# SourcePath: filesystem/20041018rel
Summary: Base file system
Name: sony-target-dev-filesystem
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-filesystem
Version: 2.2
Release: 11000001
License: Sony
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
This package contains the basic file system hierarchy of a Sony CE Linux system.

%package -n %{pkgname}
Summary: Base file system
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This package contains the basic file system hierarchy of a Sony CE Linux system.

%prep

%install
rm -rf %{buildroot}

# The "/etc/default" directory needs to come from somewhere
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/default

mkdir -p %{buildroot}%{sony_target_dir}/bin
mkdir -p %{buildroot}%{sony_target_dir}/dev
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}
mkdir -p %{buildroot}%{sony_target_dir}/lib
mkdir -p %{buildroot}%{sony_target_dir}/sbin
mkdir -p %{buildroot}%{sony_target_dir}/tmp
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_exec_prefix}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}

mkdir -p %{buildroot}%{sony_target_dir}/root

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/empty

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/cache
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/lock
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/run

mkdir -p %{buildroot}%{sony_target_dir}/proc
mkdir -p %{buildroot}%{sony_target_dir}/sys
mkdir -p %{buildroot}%{sony_target_dir}/boot

%clean
rm -rf %{buildroot}

%post -n %{pkgname}

cd ${RPM_INSTALL_PREFIX}/dev

# make std device
rm -f mem ; mknod -m 0640 mem  c 1 1 ; chown root:kmem mem
rm -f kmem ; mknod -m 0640 kmem c 1 2 ; chown root:kmem kmem
rm -f null ; mknod -m 0666 null c 1 3 ; chown root:root null
rm -f port ; mknod -m 0640 port c 1 4 ; chown root:kmem port
rm -f zero ; mknod -m 0666 zero c 1 5 ; chown root:root zero
rm -f core ; ln -s /proc/kcore core
rm -f full ; mknod -m 0666 full c 1 7 ; chown root:root full
rm -f random ; mknod -m 0444 random c 1 8 ; chown root:root random
rm -f urandom ; mknod -m 0444 urandom c 1 9 ; chown root:root urandom
rm -f tty ; mknod -m 0666 tty  c 5 0 ; chown root:tty  tty

for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 
do
	rm -f ram$i
	mknod -m 0660 ram$i b 1 $i 
	chown root:disk ram$i
done

for part in 0 1 2 3 4 5 6 7
do
	rm -f loop$part
	mknod loop$part -m 660 b 7 $part
	chown root:disk loop$part
done

# make console dev

rm -f tty0 ; mknod -m 0600 tty0 c 4 0 ; chown root:tty tty0
rm -f console ; mknod -m 0600 console c 5 1 ; chown root:tty console

rm -f vcs0 ; mknod -m 0600 vcs0 c 7 0 ; chown root:root vcs0
rm -f vcs ; ln -s vcs0 vcs
rm -f vcsa0 ; mknod -m 0600 vcsa0 c 7 128 ; chown root:root vcsa0
rm -f vcsa ; ln -s vcsa0 vcsa

line=1
MAXVT=63
while [ $line -le $MAXVT -a $line -le 63 ]
do
	rm -f tty$line vcs$line vcsa$line
	mknod -m 0666 tty$line c 4 $line ; chown root:tty tty$line
	mknod -m 0600 vcs$line c 7 $line ; chown root:root vcs$line
	mknod -m 0600 vcsa$line c 7 `expr $line + 128` ; chown root:root vcsa$line

	line=`expr $line + 1`
done

rm -f tty[2-9][0-9]
rm -f vcs[2-9][0-9]
rm -f vcsa[2-9][0-9]


# make fd
rm -f fd ; ln -s /proc/self/fd fd
rm -f stdin ; ln -s fd/0 stdin
rm -f stdout ; ln -s fd/1 stdout
rm -f stderr ; ln -s fd/2 stderr


for i in 0 1 2 3
do
	minor=`expr 64 + $i`
	rm -f ttyS$i
	mknod -m 0660 ttyS$i c 4 $minor ; chown root:uucp ttyS$i
done

test -e bootimg || (mknod bootimg  c 10 191 ; chown root:root bootimg; chmod 600 bootimg)
test -e crash || (mknod crash  c 10 190 ; chown root:root crash; chmod 600 crash)
test -e rmon || (mknod rmon  c 10 222 ; chown root:root rmon; chmod 600 rmon)


%files -n %{pkgname}
%defattr(755,root,root)
%dir %{sony_target_dir}/proc
%attr(700,root,root) %dir %{sony_target_dir}/sys

# The "/etc/default" directory needs to come from somewhere
%dir %{sony_target_dir}%{sony_target_dev_sysconf_dir}/default

# The following is from the FHS Requirements 3.2
%dir %{sony_target_dir}/bin
%dir %{sony_target_dir}/boot
%dir %{sony_target_dir}/dev
%dir %{sony_target_dir}%{sony_target_dev_sysconf_dir}
%dir %{sony_target_dir}/lib

%attr(1777,root,root) %dir %{sony_target_dir}/tmp
%dir %{sony_target_dir}%{sony_target_dev_exec_prefix}
%dir %{sony_target_dir}%{sony_target_dev_localstate_dir}
%dir %{sony_target_dir}%{sony_target_dev_localstate_dir}/cache

%attr(4700,root,root) %dir %{sony_target_dir}/root

# From the FHS requirements 4.2
%dir %{sony_target_dir}%{sony_target_dev_bin_dir}
%dir %{sony_target_dir}%{sony_target_dev_lib_dir}
%dir %{sony_target_dir}%{sony_target_dev_sbin_dir}
%dir %{sony_target_dir}%{sony_target_dev_data_dir}

# From the FHS requirements 5.2
%dir %{sony_target_dir}%{sony_target_dev_localstate_dir}/lock
%dir %{sony_target_dir}%{sony_target_dev_localstate_dir}/run

%dir %{sony_target_dir}%{sony_target_dev_data_dir}/empty

%changelog
* Tue Nov 17 2009 Sony Corporation
- add /usr/share/empty

* Fri Jun 10 2005 Sony Corporation
- fix /dev/zero mode

* Tue Apr 26 2005 Sony Corporation
- modify /sys attr

* Mon Apr 11 2005 Sony Corporation
- add /sys

* Fri Apr 8 2005 Sony Corporation
- add /var/cache

* Thu Oct  18 2004 Sony Corporation - rel-base-files
- Initial build. 
